org.flexdock.dockbar.event

## Class DockbarListener.Stub

- java.lang.Object
- - org.flexdock.dockbar.event.DockbarListener.Stub

- All Implemented Interfaces:
    java.util.EventListener, DockbarListener
  Direct Known Subclasses:
    ActiveDockableHandler
  Enclosing interface:
    DockbarListener

      public static class DockbarListener.Stub
      extends java.lang.Object
      implements DockbarListener

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.flexdock.dockbar.event.DockbarListener

      `DockbarListener.Stub`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockbarListener.Stub()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dockableCollapsed(DockbarEvent evt)`
    `void` | `dockableExpanded(DockbarEvent evt)`
    `void` | `dockableLocked(DockbarEvent evt)`
    `void` | `minimizeCompleted(DockbarEvent evt)`
    `void` | `minimizeStarted(DockbarEvent evt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DockbarListener.Stub

          public DockbarListener.Stub()

  - ### Method Detail

    - #### dockableExpanded

          public void dockableExpanded(DockbarEvent evt)

      Specified by:
        `dockableExpanded` in interface `DockbarListener`

    - #### dockableLocked

          public void dockableLocked(DockbarEvent evt)

      Specified by:
        `dockableLocked` in interface `DockbarListener`

    - #### dockableCollapsed

          public void dockableCollapsed(DockbarEvent evt)

      Specified by:
        `dockableCollapsed` in interface `DockbarListener`

    - #### minimizeStarted

          public void minimizeStarted(DockbarEvent evt)

      Specified by:
        `minimizeStarted` in interface `DockbarListener`

    - #### minimizeCompleted

          public void minimizeCompleted(DockbarEvent evt)

      Specified by:
        `minimizeCompleted` in interface `DockbarListener`